Bug 23133 - wrong umask
Summary: wrong umask
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-02 11:37 UTC by Gerald Teschl
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 16:58:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2001-01-02 11:37:13 UTC
apmd seems to execute suspend/resume scripts with a wrong umask.

For example, upon resume the /etc/sysconfig/apm-scripts/apmscript
will start the netfs service and create the lock file world readable:

[root@soliton init.d]# ls -l /var/lock/subsys/netfs
-rw-rw-rw-    1 root     root            0 Jan  2 11:20 netfs

I haven't found any other effects yet, but this might have some
security implications and should be fixed!

Comment 1 Bernhard Rosenkraenzer 2001-01-08 16:58:40 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.